//
//  View.swift
//  Activity
//
//  Created by Mark Meretzky on 1/26/15.
//  Copyright (c) 2015 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {
	let activityIndicatorView: UIActivityIndicatorView =
		UIActivityIndicatorView(activityIndicatorStyle: UIActivityIndicatorViewStyle.Gray);
	let label: UILabel = UILabel();

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
		backgroundColor = UIColor.whiteColor();

		activityIndicatorView.hidesWhenStopped = true;	//the default
		addSubview(activityIndicatorView);

		label.text = "Not started yet";
		let attributes: [NSObject: AnyObject] = [NSFontAttributeName: label.font]; //a dictionary
		label.frame.size = label.text!.sizeWithAttributes(attributes);
		addSubview(label);
	}
	
	override func layoutSubviews() {
		activityIndicatorView.center = center;

		label.center = CGPointMake(
			activityIndicatorView.center.x
				+ activityIndicatorView.frame.size.width * 3 / 4
				+ label.frame.size.width / 2,
			activityIndicatorView.center.y);
	}

	func startAnimating() {
		label.text = "Started";
		activityIndicatorView.startAnimating();
	}

	func stopAnimating() {
		label.text = "Stopped";
		activityIndicatorView.stopAnimating();
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
